package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
/**
*卖家仓库表
* @author quyixiao
* @since 2025-11-19
*/

@Data
@TableName("vv_seller_warehouse")
public class VvSellerWarehouseEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvSellerWarehouseEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                              // 修改时间
    public final static String contry_ = CLASS_NAME + "contry";                                       // 国家
    public final static String province_ = CLASS_NAME + "province";                                   // 省
    public final static String city_ = CLASS_NAME + "city";                                           // 市
    public final static String district_ = CLASS_NAME + "district";                                   // 区
    public final static String warehouse_detail_address = CLASS_NAME + "warehouse_detail_address";    // 仓库详情地址
    public final static String seller_id = CLASS_NAME + "seller_id";                                  // 卖家id
    public final static String warehouse_phone = CLASS_NAME + "warehouse_phone";                      // 卖家手机号

    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //国家
    private String contry;
    //省
    private String province;
    //市
    private String city;
    //区
    private String district;
    //仓库详情地址
    private String warehouseDetailAddress;
    //卖家id
    private Long sellerId;
    //卖家手机号
    private String warehousePhone;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 国家 
     * @return
     */
    public String getContry() {
        return contry;
    }
    /**
     * 国家 
     * @param contry
     */
    public void setContry(String contry) {
        this.contry = contry;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区 
     * @return
     */
    public String getDistrict() {
        return district;
    }
    /**
     * 区 
     * @param district
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 仓库详情地址 
     * @return
     */
    public String getWarehouseDetailAddress() {
        return warehouseDetailAddress;
    }
    /**
     * 仓库详情地址 
     * @param warehouseDetailAddress
     */
    public void setWarehouseDetailAddress(String warehouseDetailAddress) {
        this.warehouseDetailAddress = warehouseDetailAddress;
    }

    /**
     * 卖家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 卖家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 卖家手机号 
     * @return
     */
    public String getWarehousePhone() {
        return warehousePhone;
    }
    /**
     * 卖家手机号 
     * @param warehousePhone
     */
    public void setWarehousePhone(String warehousePhone) {
        this.warehousePhone = warehousePhone;
    }

    @Override
    public String toString() {
        return "VvSellerWarehouseEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",contry=" + contry +
                ",province=" + province +
                ",city=" + city +
                ",district=" + district +
                ",warehouseDetailAddress=" + warehouseDetailAddress +
                ",sellerId=" + sellerId +
                ",warehousePhone=" + warehousePhone +
                "}";
    }
}